summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /mail-mta/ssmtp
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'mail-mta/ssmtp')
-rw-r--r--mail-mta/ssmtp/Manifest2
-rw-r--r--mail-mta/ssmtp/metadata.xml8
-rw-r--r--mail-mta/ssmtp/ssmtp-2.64-r2.ebuild117
3 files changed, 127 insertions, 0 deletions
diff --git a/mail-mta/ssmtp/Manifest b/mail-mta/ssmtp/Manifest
new file mode 100644
index 00000000000..f2c3cd408a1
--- /dev/null
+++ b/mail-mta/ssmtp/Manifest
@@ -0,0 +1,2 @@
+DIST ssmtp-2.64-patches-3.tar.bz2 5128 SHA256 8414329b529b58197e6425ec75387f9bfc02e088cbef7ee83be80bf549ca4140 SHA512 140ca571705ee45ca2d6718b456ab028e3aaeb910a64230d8143a29de837eb3be8f16641f21f56f2c5112867512fabdc952886701d596f0bb303fc1524a1ad46 WHIRLPOOL e4ae24baaa91a424b32cced5111f640e9c3265b2f077f220f894884a7973b3ee4a887bf1113d36a167404c8e6a7123d9bb1bcd95e1a79aada3fd494b2d8b2a0f
+DIST ssmtp_2.64.orig.tar.bz2 52501 SHA256 22c37dc90c871e8e052b2cab0ad219d010fa938608cd66b21c8f3c759046fa36 SHA512 911752e744420adf58552b9cf3a6e558d8b39103e5ad33a9ed4429b9a3a2091f7674aac11fe9bbd66747a61cdabe6bd638b80efcaadc86b057c12e2e235cca72 WHIRLPOOL afa8d41b18c5be632b5b85ca483f1d2ef889d943a5a99fe0c4fe877655148313e3f031308a4126e23c6fa7bcbae009a5804071f6c77f36b092a51aeba259fea8
diff --git a/mail-mta/ssmtp/metadata.xml b/mail-mta/ssmtp/metadata.xml
new file mode 100644
index 00000000000..44448fe7841
--- /dev/null
+++ b/mail-mta/ssmtp/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>net-mail</herd>
+ <use>
+ <flag name='mta'>Install symlinks for sendmail-compatible MTA.</flag>
+ </use>
+</pkgmetadata>
diff --git a/mail-mta/ssmtp/ssmtp-2.64-r2.ebuild b/mail-mta/ssmtp/ssmtp-2.64-r2.ebuild
new file mode 100644
index 00000000000..201f52da1d4
--- /dev/null
+++ b/mail-mta/ssmtp/ssmtp-2.64-r2.ebuild
@@ -0,0 +1,117 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="4"
+
+PATCHSET=3
+
+WANT_AUTOMAKE=none
+
+inherit eutils autotools user
+
+DESCRIPTION="Extremely simple MTA to get mail off the system to a Mailhub"
+HOMEPAGE="ftp://ftp.debian.org/debian/pool/main/s/ssmtp/"
+SRC_URI="mirror://debian/pool/main/s/ssmtp/${P/-/_}.orig.tar.bz2
+ http://dev.gentoo.org/~flameeyes/ssmtp/${P}-patches-${PATCHSET}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm arm64 hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="ipv6 +ssl gnutls +mta"
+
+DEPEND="ssl? (
+ !gnutls? ( dev-libs/openssl )
+ gnutls? ( net-libs/gnutls )
+ )"
+RDEPEND="${DEPEND}
+ net-mail/mailbase
+ mta? (
+ !net-mail/mailwrapper
+ !mail-mta/courier
+ !mail-mta/esmtp
+ !mail-mta/exim
+ !mail-mta/mini-qmail
+ !mail-mta/msmtp[mta]
+ !mail-mta/nbsmtp
+ !mail-mta/netqmail
+ !mail-mta/nullmailer
+ !mail-mta/postfix
+ !mail-mta/qmail-ldap
+ !mail-mta/sendmail
+ !mail-mta/opensmtpd
+ )"
+
+REQUIRED_USE="gnutls? ( ssl )"
+
+pkg_setup() {
+ if ! use prefix; then
+ enewgroup ssmtp
+ fi
+}
+
+src_prepare() {
+ EPATCH_SUFFIX="patch" EPATCH_SOURCE="${WORKDIR}/patches" \
+ epatch
+ epatch_user
+
+ # let's start by not using configure.in anymore as future autoconf
+ # versions will not support it.
+ mv configure.in configure.ac || die
+
+ eautoconf
+}
+
+src_configure() {
+ econf \
+ --sysconfdir="${EPREFIX}"/etc/ssmtp \
+ $(use_enable ssl) $(use_with gnutls) \
+ $(use_enable ipv6 inet6) \
+ --enable-md5auth
+}
+
+src_compile() {
+ emake etcdir="${EPREFIX}"/etc || die
+}
+
+src_install() {
+ dosbin ssmtp
+
+ doman ssmtp.8 ssmtp.conf.5
+ dodoc ChangeLog CHANGELOG_OLD INSTALL README TLS
+ newdoc ssmtp.lsm DESC
+
+ insinto /etc/ssmtp
+ doins ssmtp.conf revaliases
+
+ local conffile="${ED}etc/ssmtp/ssmtp.conf"
+
+ # Sorry about the weird indentation, I couldn't figure out a cleverer way
+ # to do this without having horribly >80 char lines.
+ sed -i -e "s:^hostname=:\n# Gentoo bug #47562\\
+# Commenting the following line will force ssmtp to figure\\
+# out the hostname itself.\n\\
+# hostname=:" \
+ "${conffile}" || die "sed failed"
+
+ # Comment rewriteDomain (bug #243364)
+ sed -i -e "s:^rewriteDomain=:#rewriteDomain=:" "${conffile}"
+
+ # Set restrictive perms on ssmtp.conf as per #187841, #239197
+ # Protect the ssmtp configfile from being readable by regular users as it
+ # may contain login/password data to auth against a the mailhub used.
+ if ! use prefix; then
+ fowners root:ssmtp /etc/ssmtp/ssmtp.conf
+ fperms 640 /etc/ssmtp/ssmtp.conf
+ fowners root:ssmtp /usr/sbin/ssmtp
+ fperms 2711 /usr/sbin/ssmtp
+ fi
+
+ if use mta; then
+ dosym ../sbin/ssmtp /usr/lib/sendmail
+ dosym ../sbin/ssmtp /usr/bin/sendmail
+ dosym ssmtp /usr/sbin/sendmail
+ dosym ../sbin/ssmtp /usr/bin/mailq
+ dosym ../sbin/ssmtp /usr/bin/newaliases
+ fi
+}